Unable to build parrot RELEASE_2_10_1-477-gfa56f62 on windows 7

Patrick Abi Salloum patrick.abisalloum at gmail.com
Fri Nov 26 20:29:41 UTC 2010


I was trying to build parrot RELEASE_2_10_1-477-gfa56f62 on windows 7
for rakudo.

Starting from a clean windows 7 install, I downloaded git version
1.7.3.1.msysgit.0 and strawberry perl 5.10.1.3

Tried automatically downloading and building parrot by doing

    perl ./Configure.pl --gen-parrot

>From the rakudo folder, parrot was downloaded fine but suring the
build I got  an error

    "Minimum requirement for Parrot on Windows is Windows 2000 - might
want to check windef.h"

in

    config\gen\platform\win32\begin.c


I removed the  check "if WINVER < Windows2000" from begin.c and the
build went fine with no other problems.

Sorry I could not create a ticket for this issue; trac.parrot.org just
wouldn't let me log in!


More information about the parrot-dev mailing list